<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.a.sds.ware.select.cmd</name>
<version>1</version>
<engineversion>25</engineversion>
<description>Description</description>
<arguments>
<argument index="1" name="station.ware" type="Var/Station and Product" desc="Station" />
<argument index="2" name="price" type="Var/Number" desc="Price" />
<argument index="3" name="local.var" type="Var/String" desc="local var" />
<argument index="4" name="type" type="Var/Number" desc="type" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$temp.list&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>$local.var</var></line>
<line linenr="002" indent=""><var>$ware&#160;=&#160;</var><var>$station.ware</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="003" indent=""><var>$station&#160;=&#160;</var><var>$station.ware</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><var>$level&#160;=&#160;</var><var>0</var></line>
<line linenr="006" indent=""><var>$shipinfo&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'a.sds.shipinfo'</var></line>
<line linenr="007" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$shipinfo</var></line>
<line linenr="008" indent="&#160;"><var>$level&#160;=&#160;</var><var>$shipinfo</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="009" indent=""><var>$level&#160;=&#160;</var><var>18</var></line>
<line linenr="010" indent=""><var>$level&#160;=&#160;</var><var>(</var><text>&#160;</text><var>$level</var><text>&#160;</text><var>+</var><text>&#160;</text><var>2</var><text>&#160;</text><var>)</var><text>&#160;</text><var>/</var><text>&#160;</text><var>2</var></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><var>skip&#160;if&#160;</var><var>$station&#160;-&gt;</var><text>&#160;is&#160;docking&#160;possible&#160;of&#160;</text><var>[THIS]</var></line>
<line linenr="013" indent="&#160;"><text>goto&#160;label&#160;</text><var>error</var></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><var>$homebase&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'asds.homebase'</var></line>
<line linenr="016" indent=""><var>if&#160;</var><var>$homebase</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$homebase</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>[HOMEBASE]</var></line>
<line linenr="017" indent="&#160;"><var>$temp.list&#160;=&#160;</var><var>null</var></line>
<line linenr="018" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>$local.var</var><text>&#160;value=</text><var>null</var></line>
<line linenr="019" indent=""><text>end</text></line>
<line linenr="020" indent=""><var>if&#160;</var><var>!</var><text>&#160;</text><var>$temp.list</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>(</var><text>&#160;</text><var>[HOMEBASE]</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$station</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$price</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>0</var><text>&#160;</text><var>)</var></line>
<line linenr="021" indent="&#160;"><var>$temp.list&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="022" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>$local.var</var><text>&#160;value=</text><var>$temp.list</var></line>
<line linenr="023" indent="&#160;"><var>if&#160;</var><var>$price</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>0</var></line>
<line linenr="024" indent="&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="025" indent="&#160;"><text>end</text></line>
<line linenr="026" indent=""><text>end</text></line>
<line linenr="027" indent=""><var>if&#160;</var><var>(</var><text>&#160;</text><var>[HOMEBASE]</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$station</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$price</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>0</var><text>&#160;</text><var>)</var></line>
<line linenr="028" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.a.sds.messages</call><text>&#160;:&#160;</text><text>&#160;message=</text><var>'list'</var></line>
<line linenr="029" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="030" indent=""><text>end</text></line>
<line linenr="031" indent=""></line>
<line linenr="032" indent=""><var>$owner&#160;=&#160;</var><var>$station&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="033" indent=""><var>if&#160;</var><var>$type</var></line>
<line linenr="034" indent="&#160;"><var>$can.buy&#160;=&#160;</var><var>[HOMEBASE]&#160;-&gt;</var><text>&#160;can&#160;buy&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="035" indent="&#160;"><var>$can.buy&#160;=&#160;</var><var>[TRUE]</var></line>
<line linenr="036" indent="&#160;"><var>$can.sell&#160;=&#160;</var><var>$station&#160;-&gt;</var><text>&#160;can&#160;sell&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="037" indent=""><text>else</text></line>
<line linenr="038" indent="&#160;"><var>$can.buy&#160;=&#160;</var><var>$station&#160;-&gt;</var><text>&#160;can&#160;buy&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="039" indent="&#160;"><var>$can.sell&#160;=&#160;</var><var>[HOMEBASE]&#160;-&gt;</var><text>&#160;can&#160;sell&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="040" indent=""><text>end</text></line>
<line linenr="041" indent=""></line>
<line linenr="042" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$owner</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>Player</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$can.sell</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$can.buy</var></line>
<line linenr="043" indent="&#160;"><text>goto&#160;label&#160;</text><var>error</var></line>
<line linenr="044" indent=""></line>
<line linenr="045" indent=""><var>$temp.type&#160;=&#160;</var><var>2</var></line>
<line linenr="046" indent=""><var>while&#160;</var><var>$temp.type</var></line>
<line linenr="047" indent="&#160;"><text>dec&#160;</text><var>$temp.type&#160;=&#160;</var></line>
<line linenr="048" indent="&#160;"><var>if&#160;</var><var>$temp.type</var></line>
<line linenr="049" indent="&#160;&#160;"><var>$check.list&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'a.sds.source.list'</var></line>
<line linenr="050" indent="&#160;"><text>else</text></line>
<line linenr="051" indent="&#160;&#160;"><var>$check.list&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'a.sds.destination.list'</var></line>
<line linenr="052" indent="&#160;"><text>end</text></line>
<line linenr="053" indent="&#160;"><var>$check.list.size&#160;=&#160;</var><var>0</var></line>
<line linenr="054" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$check.list</var></line>
<line linenr="055" indent="&#160;&#160;"><var>$check.list.size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$check.list</var></line>
<line linenr="056" indent="&#160;"></line>
<line linenr="057" indent="&#160;"><var>while&#160;</var><var>$check.list.size</var></line>
<line linenr="058" indent="&#160;&#160;"><text>dec&#160;</text><var>$check.list.size&#160;=&#160;</var></line>
<line linenr="059" indent="&#160;&#160;"><var>$dataset&#160;=&#160;</var><var>$check.list</var><text>[</text><var>$check.list.size</var><text>]</text></line>
<line linenr="060" indent="&#160;&#160;"><var>$check.station&#160;=&#160;</var><var>$dataset</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="061" indent="&#160;&#160;"><var>$check.ware&#160;=&#160;</var><var>$dataset</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="062" indent="&#160;&#160;"><var>if&#160;</var><var>$check.station</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$station</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$check.ware</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$ware</var></line>
<line linenr="063" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$temp.type</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$type</var></line>
<line linenr="064" indent="&#160;&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$check.list</var><text>&#160;at&#160;index&#160;</text><var>$check.list.size</var></line>
<line linenr="065" indent="&#160;&#160;&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="066" indent="&#160;&#160;&#160;"><text>else</text></line>
<line linenr="067" indent="&#160;&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>error</var></line>
<line linenr="068" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="069" indent="&#160;&#160;"><text>end</text></line>
<line linenr="070" indent="&#160;"><text>end</text></line>
<line linenr="071" indent=""><text>end</text></line>
<line linenr="072" indent=""></line>
<line linenr="073" indent=""><var>$check.list.size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$temp.list</var></line>
<line linenr="074" indent=""><var>skip&#160;if&#160;</var><var>$check.list.size</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$level</var></line>
<line linenr="075" indent="&#160;"><text>goto&#160;label&#160;</text><var>error</var></line>
<line linenr="076" indent=""></line>
<line linenr="077" indent=""><var>$dataset&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>5</var></line>
<line linenr="078" indent=""><var>$dataset</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$station</var></line>
<line linenr="079" indent=""><var>$dataset</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$ware</var></line>
<line linenr="080" indent=""><var>$dataset</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>$price</var></line>
<line linenr="081" indent=""><text>append&#160;</text><var>$dataset</var><text>&#160;to&#160;array&#160;</text><var>$temp.list</var></line>
<line linenr="082" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'asds.homebase'</var><text>&#160;value=</text><var>[HOMEBASE]</var></line>
<line linenr="083" interruptable="@" indent=""><var>=&#160;</var><text>wait&#160;</text><var>100</var><text>&#160;ms</text></line>
<line linenr="084" indent=""><text>return&#160;</text><var>null</var></line>
<line linenr="085" indent=""><var>error</var><text>:</text></line>
<line linenr="086" interruptable="@" indent=""><var>=&#160;</var><text>wait&#160;</text><var>100</var><text>&#160;ms</text></line>
<line linenr="087" indent=""><text>play&#160;sample&#160;</text><var>923</var></line>
<line linenr="088" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.a.sds.ware.select.cmd" /><sval type="int" val="25" /><sval type="string" val="Description" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="19"><sval type="string" val="station.ware" /><sval type="string" val="price" /><sval type="string" val="local.var" /><sval type="string" val="type" /><sval type="string" val="temp.list" /><sval type="string" val="ware" /><sval type="string" val="station" /><sval type="string" val="level" /><sval type="string" val="shipinfo" /><sval type="string" val="homebase" /><sval type="string" val="owner" /><sval type="string" val="can.buy" /><sval type="string" val="can.sell" /><sval type="string" val="temp.type" /><sval type="string" val="check.list" /><sval type="string" val="check.list.size" /><sval type="string" val="dataset" /><sval type="string" val="check.station" /><sval type="string" val="check.ware" /></sval><sval type="array" size="71"><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="a.sds.shipinfo" /><sval type="int" val="8" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610610936" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="18" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="21"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="7" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="14" /><sval type="int" val="-4" /></sval><sval type="array" size="6"><sval type="int" val="746" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-536868089" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="67" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="asds.homebase" /><sval type="int" val="9" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610608893" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="1" /><sval type="int" val="-3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="36"><sval type="int" val="104" /><sval type="int" val="-1610607613" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="12" /><sval type="int" val="65556" /><sval type="int" val="-1" /><sval type="int" val="10" /><sval type="int" val="16" /><sval type="int" val="-3" /><sval type="int" val="0" /><sval type="int" val="-4" /><sval type="int" val="9" /><sval type="int" val="-6" /><sval type="int" val="3" /><sval type="int" val="-7" /><sval type="int" val="17" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607613" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="27"><sval type="int" val="104" /><sval type="int" val="-1610606845" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="9" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="4" /><sval type="int" val="-5" /><sval type="int" val="17" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.a.sds.messages" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="list" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610605309" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="624" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="11" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="625" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="31" /></sval><sval type="array" size="6"><sval type="int" val="624" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="6"><sval type="int" val="625" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="31"><sval type="int" val="104" /><sval type="int" val="-1610604280" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="9" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="65556" /><sval type="int" val="-4" /><sval type="int" val="10" /><sval type="int" val="65556" /><sval type="int" val="-7" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="67" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598391" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="13" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610602749" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="a.sds.source.list" /><sval type="int" val="14" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="40" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="a.sds.destination.list" /><sval type="int" val="14" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610601720" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598647" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="15" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="16" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="15" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610598909" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599165" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="15" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="54" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="67" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="43" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="34" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536855801" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="67" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="16" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="asds.homebase" /><sval type="int" val="131075" /><sval type="int" val="65540" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="error" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /></sval><sval type="array" size="3"><sval type="int" val="200" /><sval type="int" val="4" /><sval type="int" val="923" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="4"><sval type="array" size="2"><sval type="int" val="47" /><sval type="string" val="Station" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Price" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="string" val="local var" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="type" /></sval></sval><sval type="array" size="22"><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
